import { CommandInteraction, Message } from "oceanic.js";

export const interaction: (
	interaction: CommandInteraction,
) => Promise<void> = async (interaction: CommandInteraction): Promise<void> => {
	await interaction.reply({ content: "Pong!" });
};

export const legacy: (message: Message) => Promise<void> = async (
	message: Message,
): Promise<void> => {
	if (!message.channel) return;

	await message.channel.createMessage({ content: "Pong!" });
};

export default {
	name: "ping",
	description: "Replies with Pong!",
};
